[arch-commits] Commit in wireshark/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 3 12:03:39 EDT 2008


    Date: Sunday, August 3, 2008 @ 12:03:39
  Author: jgc
Revision: 7671

upgpkg: wireshark 1.0.2-2
    Rebuild for GNUTLS

Modified:
  wireshark/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-03 16:02:06 UTC (rev 7670)
+++ PKGBUILD	2008-08-03 16:03:39 UTC (rev 7671)
@@ -3,22 +3,21 @@
 
 pkgname=wireshark
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A free network protocol analyzer for Unix/Linux and Windows"
 arch=('i686' 'x86_64')
 license=('GPL2')
-depends=('gtk2' 'heimdal>=1.2' 'pcre' 'libpcap>=0.9.8'
-         'bash' 'gnutls' 'libcap')
-source=(http://www.wireshark.org/download/src/${pkgname}-${pkgver}.tar.gz)
+depends=('gtk2>=2.12.11' 'heimdal>=1.2' 'libpcap>=0.9.8' 'bash' 'gnutls>=2.4.1' 'libcap')
 url="http://www.wireshark.org/"
 replaces=('ethereal')
-md5sums=('6045048aa8645d54d1a06bb20e0d23a3')
 options=(!libtool)
+source=(http://www.wireshark.org/download/src/${pkgname}-${pkgver}.tar.gz)
+md5sums=('6045048aa8645d54d1a06bb20e0d23a3')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
-  export CFLAGS="-fno-unit-at-a-time $CFLAGS"
-  ./configure --prefix=/usr --with-ssl
+  export CFLAGS="-fno-unit-at-a-time ${CFLAGS}"
+  ./configure --prefix=/usr --with-ssl || return 1
   make all || return 1
-  make DESTDIR=${pkgdir} install
+  make DESTDIR=${pkgdir} install || return 1
 }




More information about the arch-commits mailing list